Firebird News

Monday, May 12, 2008

building amd64/i386 vlc nightly version 12 May 2008

you can find what is the i386 nighlty build for that day
by inspecting this repository

http://nightlies.videolan.org/build/hardy-i386/latest/

$dget -x http://nightlies.videolan.org/build/hardy-i386/latest/vlc_0.9.0-git20080512-1.dsc
/usr/lib/pbuilder/pbuilder-satisfydepends --control vlc_0.9.0-git20080512-1.dsc
$cd vlc-0.9.0-git20080512/
debuild -i
$cd ..
$ls *.deb
and install vlc
$sudo dpkg -i vlc_0.9.0-git20080512-1ubuntu1_amd64.deb vlc-nox_0.9.0-git20080512-1ubuntu1_amd64.deb mozilla-plugin-vlc_0.9.0-git20080512-1ubuntu1_amd64.deb vlc-plugin-pulse_0.9.0-git20080512-1ubuntu1_amd64.deb

8 comments:

Burton said...

I have a problem to compile it on my system.
I use Ubuntu Hardy and this what i get in the end:

mkdir -p debian/tmp/usr/share/pixmaps
mv debian/tmp/usr/share/vlc/vlc48x48.png debian/tmp/usr/share/pixmaps/vlc.png
mv debian/tmp/usr/share/vlc/vlc32x32.xpm debian/tmp/usr/share/vlc/vlc.xpm
# Install stuff
dh_install -si --fail-missing --sourcedir=debian/tmp
#install BTS stuff
mkdir -p debian/vlc-nox/usr/share/bug/vlc-nox
cp debian/bug/* debian/vlc-nox/usr/share/bug/vlc-nox
# Clean up
rm -f debian/vlc/usr/share/vlc/*.png
# Check that we did not install a plugin linked with libX11 in vlc-nox
BORKED=no; \
for file in $(find debian/vlc-nox/usr/lib/vlc -name '*.so'); do \
if ldd $file | grep -q libX11; then \
BORKED=yes; \
echo $file depends on libX11; \
fi; \
done; \
if test "$BORKED" = yes; then exit 1; fi
debian/vlc-nox/usr/lib/vlc/codec/libavcodec_plugin.so depends on libX11
debian/vlc-nox/usr/lib/vlc/demux/libavformat_plugin.so depends on libX11
make: *** [install] Fehler 1
dpkg-buildpackage: Fehlschlag: fakeroot debian/rules binary gab Fehler-Exitstatus 2
debuild: fatal error at line 1329:
dpkg-buildpackage -rfakeroot -D -us -uc -i failed

Any suggestions?
Thanks

mariuz said...

did you installed all dependencies ?

and what is at that line ?

mariuz said...

in rules i see that only at these lines it could die , maybe we should debug them (for me it works ok )

# Check that we did not install a plugin linked with libX11 in vlc-nox
BORKED=no; \
for file in $$(find debian/vlc-nox/usr/lib/vlc -name '*.so'); do \
if ldd $$file | grep -q libX11; then \
BORKED=yes; \
echo $$file depends on libX11; \
fi; \
done; \
if test "$$BORKED" = yes; then exit 1; fi

mariuz said...

I have uploaded for you an new version for today 7 July 2008
You can use it using this repository

https://edge.launchpad.net/%7Emapopa/+archive

mariuz said...

i have an error in the build of nightly for today so until is fixed please build the old version


Here is my error
dget -x http://nightlies.videolan.org/build/hardy-i386/trunk-20080512-0335/vlc_0.9.0-git20080512-1.dsc

# Install stuff
dh_install -si --fail-missing --sourcedir=debian/tmp
cp: cannot stat `debian/tmp/usr/lib/vlc/video_filter/libswscale_plugin.so': No such file or directory
dh_install: command returned error code 256
make: *** [install] Error 1
debuild: fatal error at line 1247:
fakeroot debian/rules binary failed

mariuz said...

i have removed some ChangeLog build issues als i have added git-core to the build depends
seems that somethings changed in the build environment

https://edge.launchpad.net/~mapopa/+archive/+build/662750

mariuz said...

now i uploaded the version from
20080601

let us see if it works

the only modifications i have made are
added git-core to control
and comented the lines with ChangeLog (seems that are not generated correctly )

https://edge.launchpad.net/~mapopa/+archive/+build/662760

Burton said...

Thank you... First ein run "apt-get build-dep vlc" so i think i have all what i need. I will try your hint to get it work. Thanks for the package and for your help!